#ifndef _CDBG_H_
#define _CDBG_H_

#include "engine.h"

namespace GameLauncher
{
    using namespace GameEngine;

    class CD_Background : public Background_Task
    {
      public:
        static CD_Background * create() throw (InitError);

        virtual ~CD_Background();
        virtual void    poll() = 0;
        virtual void    resume() = 0;
        virtual void    suspend() = 0;

        virtual int     current_frame() const = 0;
        virtual int     total_frames() const = 0;
        
        virtual void    seek(int seek_frame) = 0;
        virtual void    set_volume(int volume) = 0;
    };
}

#endif

/* Local Variables: */
/* mode: c++ */
/* End: */
