#ifndef _GL_KEY_H_
#define _GL_KEY_H_

static const int GL_KEY_A           = 1;
static const int GL_KEY_B           = 2;
static const int GL_KEY_C           = 3;
static const int GL_KEY_D           = 4;
static const int GL_KEY_E           = 5;
static const int GL_KEY_F           = 6;
static const int GL_KEY_G           = 7;
static const int GL_KEY_H           = 8;
static const int GL_KEY_I           = 9;
static const int GL_KEY_J           = 10;
static const int GL_KEY_K           = 11;
static const int GL_KEY_L           = 12;
static const int GL_KEY_M           = 13;
static const int GL_KEY_N           = 14;
static const int GL_KEY_O           = 15;
static const int GL_KEY_P           = 16;
static const int GL_KEY_Q           = 17;
static const int GL_KEY_R           = 18;
static const int GL_KEY_S           = 19;
static const int GL_KEY_T           = 20;
static const int GL_KEY_U           = 21;
static const int GL_KEY_V           = 22;
static const int GL_KEY_W           = 23;
static const int GL_KEY_X           = 24;
static const int GL_KEY_Y           = 25;
static const int GL_KEY_Z           = 26;
static const int GL_KEY_0           = 27;
static const int GL_KEY_1           = 28;
static const int GL_KEY_2           = 29;
static const int GL_KEY_3           = 30;
static const int GL_KEY_4           = 31;
static const int GL_KEY_5           = 32;
static const int GL_KEY_6           = 33;
static const int GL_KEY_7           = 34;
static const int GL_KEY_8           = 35;
static const int GL_KEY_9           = 36;
static const int GL_KEY_0_PAD       = 37;
static const int GL_KEY_1_PAD       = 38;
static const int GL_KEY_2_PAD       = 39;
static const int GL_KEY_3_PAD       = 40;
static const int GL_KEY_4_PAD       = 41;
static const int GL_KEY_5_PAD       = 42;
static const int GL_KEY_6_PAD       = 43;
static const int GL_KEY_7_PAD       = 44;
static const int GL_KEY_8_PAD       = 45;
static const int GL_KEY_9_PAD       = 46;
static const int GL_KEY_F1          = 47;
static const int GL_KEY_F2          = 48;
static const int GL_KEY_F3          = 49;
static const int GL_KEY_F4          = 50;
static const int GL_KEY_F5          = 51;
static const int GL_KEY_F6          = 52;
static const int GL_KEY_F7          = 53;
static const int GL_KEY_F8          = 54;
static const int GL_KEY_F9          = 55;
static const int GL_KEY_F10         = 56;
static const int GL_KEY_F11         = 57;
static const int GL_KEY_F12         = 58;
static const int GL_KEY_ESC         = 59;
static const int GL_KEY_TILDE       = 60;
static const int GL_KEY_MINUS       = 61;
static const int GL_KEY_EQUALS      = 62;
static const int GL_KEY_BACKSPACE   = 63;
static const int GL_KEY_TAB         = 64;
static const int GL_KEY_OPENBRACE   = 65;
static const int GL_KEY_CLOSEBRACE  = 66;
static const int GL_KEY_ENTER       = 67;
static const int GL_KEY_COLON       = 68;
static const int GL_KEY_QUOTE       = 69;
static const int GL_KEY_BACKSLASH   = 70;
static const int GL_KEY_BACKSLASH2  = 71;
static const int GL_KEY_COMMA       = 72;
static const int GL_KEY_STOP        = 73;
static const int GL_KEY_SLASH       = 74;
static const int GL_KEY_SPACE       = 75;
static const int GL_KEY_INSERT      = 76;
static const int GL_KEY_DEL         = 77;
static const int GL_KEY_HOME        = 78;
static const int GL_KEY_END         = 79;
static const int GL_KEY_PGUP        = 80;
static const int GL_KEY_PGDN        = 81;
static const int GL_KEY_LEFT        = 82;
static const int GL_KEY_RIGHT       = 83;
static const int GL_KEY_UP          = 84;
static const int GL_KEY_DOWN        = 85;
static const int GL_KEY_SLASH_PAD   = 86;
static const int GL_KEY_ASTERISK    = 87;
static const int GL_KEY_MINUS_PAD   = 88;
static const int GL_KEY_PLUS_PAD    = 89;
static const int GL_KEY_DEL_PAD     = 90;
static const int GL_KEY_ENTER_PAD   = 91;
static const int GL_KEY_PRTSCR      = 92;
static const int GL_KEY_PAUSE       = 93;
static const int GL_KEY_ABNT_C1     = 94;
static const int GL_KEY_YEN         = 95;

static const int GL_KEY_LSHIFT      = 96;
static const int GL_KEY_RSHIFT      = 97;
static const int GL_KEY_LCONTROL    = 98;
static const int GL_KEY_RCONTROL    = 99;
static const int GL_KEY_ALT         = 100;
static const int GL_KEY_ALTGR       = 101;
static const int GL_KEY_LWIN        = 102;
static const int GL_KEY_RWIN        = 103;
static const int GL_KEY_MENU        = 104;
static const int GL_KEY_SCRLOCK     = 105;
static const int GL_KEY_NUMLOCK     = 106;
static const int GL_KEY_CAPSLOCK    = 107;

static const int GL_KEY_KANA        = 108;
static const int GL_KEY_CONVERT     = 109;
static const int GL_KEY_NOCONVERT   = 110;
static const int GL_KEY_AT          = 111;
static const int GL_KEY_CIRCUMFLEX  = 112;
static const int GL_KEY_COLON2      = 113;
static const int GL_KEY_KANJI       = 114;

static const int GL_KEY_MAX         = 115;

int gl_key_to_allegro_key(int gl_scancode);

#endif
