#ifndef _OPTIONS_H
#define _OPTIONS_H

#include "getopt.h"
#include <string>

// This is a singleton class

class Options
{
  public:
    static Options *    instance();

    int     show_help;
    int     show_version;
    int     verbose;
    int     dump_info;
    int     debug;
    int     use_clones;
    string  config_file;
    
  private:
    Options();
    static Options *    p_instance;
};

const int opt_true  = 1;
const int opt_false = 0;

#endif
// Local Variables:
// mode:C++
// End:
